function randName = randomName()
%% randomName generates random name from the list of adjectives and animals
%
% Included in AToM, info@antennatoolbox.com
%  2018, Michal Masek, CTU in Prague, michal.masek@antennatoolbox.com

adj = {'Angry', 'Big', 'Boiled', 'Brave', 'Boring', 'Clever', 'Crazy', ...
    'Dirty', 'Drunk', 'Famous', 'Friendly', 'Happy', 'Lazy', 'Nervous', ...
    'Proud', 'Rich', 'Sensitive', 'Shy', 'Sick', 'Silly', 'Ugly'};

animal = {'Ant', 'Ape', 'Beaver', 'Bumble-bee', 'Camel', 'Cat', ...
    'Chicken', 'Chimpanzee', 'Crab', 'Crocodile', 'Dog', 'Donkey', ...
    'Duck', 'Elephant', 'Fox', 'Frog', 'Hamster', 'Hedgehog', 'Horse', ...
    'Kangaroo', 'Koala', 'Lion', 'Lizard', 'Mammoth', 'Pigeon', ...
    'Penguin', 'Salmon', 'Shark', 'Snail', 'Squirrel', 'Tiger', ...
    'Turtle', 'Unicorn', 'Whale', 'Potato'};

randName = [adj{randi(length(adj))} ' ' animal{randi(length(animal))}];
end

