function saveSolution(obj, solution, duplicityEnabled)
%% saveSolution saves solution to internal property
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com
duplicityEnabled = true;
if isempty(obj.Solutions) || ...
        any(obj.Solutions{end}.pixelValues ~= obj.PixelValues) || ...
        duplicityEnabled
    solution.pixelValues = obj.PixelValues;
    solution.user = obj.User;
    solution.date = char(datetime);
    
    obj.Solutions{end+1} = solution;
    
    start(obj.Timer);
    start(obj.GUI.Timer);
end
end
