function buttonClear(obj)
%% buttonClear button callback for clear button
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

if strcmpi(obj.ButtonSolveState, 'results')
    obj.reset;
elseif strcmpi(obj.ButtonSolveState, 'design') && ...
        strcmpi(obj.ButtonClearState, 'current')
    obj.ButtonClearState = 'charge';
    set(obj.Handles.buttons.clear, 'String', obj.ButtonClearString{2});
    obj.hideSolution;
    obj.showSolution;
elseif strcmpi(obj.ButtonSolveState, 'design') && ...
        strcmpi(obj.ButtonClearState, 'charge')
    obj.ButtonClearState = 'current';
    set(obj.Handles.buttons.clear, 'String', obj.ButtonClearString{3});
    obj.hideSolution;
    obj.showSolution;
end

end

