function controlHeight = fontSize2controlHeight(obj, fontSize)
%% fontSize2controlHeight recalculate font size to uicontrol height
%
% Included in AToM, info@antennatoolbox.com
%  2018, Michal Masek, CTU in Prague, michal.masek@antennatoolbox.com

u = uicontrol('Parent', obj.MainFigure, 'String', 'Ay', ...
   'visible', 'off', 'units', 'pixels', 'fontSize', fontSize);
controlHeight = u.Extent(4);
u.delete;
end

