function hidePixels(obj)
%% hidePixels hides pixel structure
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

if isfield(obj.Handles, 'polygons') && ...
        ~isempty(obj.Handles.polygons) && ...
        all(obj.Handles.polygons.isvalid)
    set(obj.Handles.polygons(:), 'Visible', 'off');
end

if isfield(obj.Handles, 'pixelNumbers') && ...
        ~isempty(obj.Handles.pixelNumbers) && ...
        all(obj.Handles.pixelNumbers.isvalid)
    set(obj.Handles.pixelNumbers(:), 'Visible', 'off');
end

if isfield(obj.Handles, 'fedEdge') ...
        && ~isempty(obj.Handles.fedEdge) && ...
        all(obj.Handles.fedEdge.isvalid)
    set(obj.Handles.fedEdge(:), 'Visible', 'off');
end

if isfield(obj.Handles, 'feederArrow') ...
        && ~isempty(obj.Handles.feederArrow) && ...
        all(all(obj.Handles.feederArrow.isvalid))
    set(obj.Handles.feederArrow(:), 'Visible', 'off');
end
end

