function hideSolution(obj)
%% hideSolution hides solution
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

if isfield(obj.Handles, 'solution') && ~isempty(obj.Handles.solution)
    if isfield(obj.Handles.solution, 'triangles')
        delete(obj.Handles.solution.triangles);
    end
    
    if isfield(obj.Handles.solution, 'arrow')
        delete(obj.Handles.solution.arrow);
    end
end
end

