function updatePixel(obj, selection)
%% updatePixel updates single pixel appearance
% 
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

if any(selection)
    colors = obj.AntennaBuilder.PixelValues + 2;
    colors(obj.AntennaBuilder.FedPixels) = 1;
    thisColor = colors(selection);
    
    obj.Handles.polygons(selection).FaceColor = obj.Cmap(thisColor, :);
    obj.Handles.polygons(selection).Visible = 'on';
end
end

