%% load task
load('data\rectangle_2over1_ka_0p62_EMiT_Shape.mat')
load('data\rectangle_2over1_ka_0p62_EMiT_Operators.mat')

%% create Antenna builder
AB = AntennaBuilder();

%% add TASK
AB.setTask(Map, Mesh, BF, ka, OP);
AB.addFeeder(fedPixels, 1, 0);

%% set Antenna builder
AB.Control = 't';
AB.Closing = true;
AB.HistoryYFcn = @(x) x;
AB.HistoryYScale = 'log';
AB.HistoryYLim = @(Qlim, lastResults) [10, min(10000, max(lastResults))];
AB.HistoryNBars = 20;
AB.HistoryXTicksSpacing = 5;
