function runRestartedGA(obj)
%RUNRESTARTEDGA Summary of this function goes here
%   Detailed explanation goes here

%% control presence of fops
if exist('fops', 'dir') < 2
    disp('-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~');
    disp('AntennaBuilder: It is not possible to run genetic algorithm.');
    disp(['You need to download ' ...
        '<a href="http://www.antennatoolbox.com/order">FOPS</a> first.']);
    disp('-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~');
    return
end

iteration = 1;
while true
    str = sprintf('FOPS - GA #%d', iteration);
    obj.setUser(str, '');
    obj.runGA;
    iteration = iteration + 1;
end
end

