function buttonSolve(obj)
%% buttonSolve callback for solve button
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

if strcmp(obj.ButtonSolveState, 'results')
    obj.AntennaBuilder.solve;
    set(obj.Handles.buttons.solve, 'String' , obj.ButtonSolveString{2});
    
    if strcmp(obj.ButtonClearState, 'current')
        set(obj.Handles.buttons.clear, 'String', obj.ButtonClearString{3});
    else
        set(obj.Handles.buttons.clear, 'String', obj.ButtonClearString{2});
    end
    
    obj.ButtonSolveState = 'design';
    obj.show;
    
    obj.MainFigure.WindowButtonDownFcn = '';
    obj.MainFigure.WindowButtonUpFcn = '';
else
    set(obj.Handles.buttons.solve, 'String' , obj.ButtonSolveString{1});
    set(obj.Handles.buttons.clear, 'String' , obj.ButtonClearString{1});
    
    obj.ButtonSolveState = 'results';
    obj.show;
    obj.setCallbacks;
end
end