function invertPixel(obj, click)
%% invertPixel inverts state of pixel - selected <-> unselected
%
% Included in AToM, info@antennatoolbox.com
%  2018, Vit Losenicky, CTU in Prague, vit.losenicky@antennatoolbox.com

pixelSelection = obj.position;

if any(pixelSelection ~= obj.LastPixel) || click
    obj.AntennaBuilder.PixelValues(pixelSelection) = ...
        ~obj.AntennaBuilder.PixelValues(pixelSelection);
    obj.updatePixel(pixelSelection);
end
obj.LastPixel = pixelSelection;
end

