function loadSolution(obj, solution)
%% loadSolution loads solution
%
% Included in AToM, info@antennatoolbox.com
%  2018, Michal Masek, CTU in Prague, michal.masek@antennatoolbox.com

if nargin< 2
   solution = obj.AntennaBuilder.Solutions{end};
end
obj.hideSolution;
Cmap = obj.Cmap;
pixelValues = solution.pixelValues + 2;
pixelValues(obj.AntennaBuilder.FedPixels) = 1;
for iPixel = 1:length(solution.pixelValues)
   obj.Handles.polygons(iPixel).FaceColor = Cmap(pixelValues(iPixel), :);  
end
obj.AntennaBuilder.PixelValues = pixelValues;
drawnow;
end
